#!/bin/bash
#
# MDStart.sh - Start Majordomo execution agent.
#

#
# Set RPT_HOME to parent of directory where this script resides
#
current_dir="$(pwd)"
script_dir="$(dirname $0)"

if [ "$script_dir" = '.' ]
then
script_dir="$current_dir"
fi

RPT_HOME="$script_dir"
export RPT_HOME

export PATH="$RPT_HOME"/../jdk/bin:"$RPT_HOME"/../jdk/Contents/Home/bin:$PATH
#echo "$RPT_HOME"
#echo "$PATH"

#
# Make sure TEMP dir is set
#
if [[ -n "$TEMP" ]]; then
    if [[ -d "$TEMP" ]]; then
        echo
    else
        export TEMP=/tmp
    fi
else
    export TEMP=/tmp
fi

#
# Set the CLASSPATH.
#
CLASSPATH=""
pushd "$script_dir" 2>/dev/null >/dev/null
FILES=`echo "./lib/*.jar"`
for f in $FILES
do
    CLASSPATH="$f:$CLASSPATH"
done
export CLASSPATH

#
# Start Majordomo
#
RUNNING=`ps -Af | grep "com.ibm.rational.test.lt.nextgen.Majordomo" | grep -v grep | wc -l`
if [ $RUNNING -ne 0 ]; then
    ps -f | grep java | grep "com.ibm.rational.test.lt.nextgen.Majordomo" | awk '{
    print "Majordomo is already running on pid " $2
    }'
    exit 66
else
    java -Djdk.nativeDigest=false com.ibm.rational.test.lt.nextgen.Majordomo $* &
fi

#
# Wait for the process to come up in the system process list
#
sleep 5

#
# Check if Majordomo is running by querying the system process list
#
RUNNING=`ps -Af | grep "com.ibm.rational.test.lt.nextgen.Majordomo" | grep -v grep | wc -l`
if [ $RUNNING -ne 0 ]; then
    ps -f | grep java | grep "com.ibm.rational.test.lt.nextgen.Majordomo" | awk '{
    print "Majordomo execution agent started successfully on pid " $2
    }'
    exit 0
else
    echo "Majordomo execution agent failed to start."
    exit 1
fi

